Installation Requirements for Priism 4 on Mac OS X

Operating system

The software includes both 32 and 64-bit components. Both sets of components should be compatible with Intel systems running Mac OS X 10.5 or later. For linking applications with the Priism libraries, you'll likely need Mac OS X 10.7.4 or later and XCode 4.5 or later. From Priism 4.4.0 on, Priism does not run PowerPC systems.

Required libraries and additional software

X
It is necessary to have following libraries installed: For OS X 10.5 through 10.7, Apple's X11 provides those libraries. For later versions of OS X, install XQuartz which is available from http://www.xquartz.org/index.html (you can also use XQuartz on OS X 10.5 through 10.7; XQuartz 2.6.3 is the last XQuartz release with support for OS X 10.5). Priism expects the libraries to be in /usr/X11R6/lib; if they are not there you may need to set the DYLD_FALLBACK_LIBRARY_PATH environment variable so that they can be found (the dyld man page explains DYLD_FALLBACK_LIBRARY_PATH). There are some unresolved problems running Priism with newer versions of the X libraries; search the list of known limitations for "OS X" to know what problems to expect.
OpenGL/Mesa
To use the components with graphical interfaces, it is necessary to have OpenGL libraries (or their Mesa equivalents) installed which can perform the rendering in conjunction with the X server (libGL.1.dylib (compatibility version 1.2.0) and libGLU.1.dylib (compatibility version 1.3.0) are used). Apple's X11 or XQuartz provides those libraries. As with the X libraries, the OpenGL libraries are expected to be in /usr/X11R6/lib.

Optional libraries and additional software

Matlab
Priism includes the ImgToMat and MatToImg tools to convert Priism image files to and from Matlab's .mat files. To use those converters, you'll have to have Matlab 7 or later (for the 64-bit version you'll need Matlab 7.9 or later).

Optional Hardware

The GPU-accelerated calculations for EM tomography require an x86 or x86_64 Linux system with an appropriate NVIDIA graphics card. That system does not need to be the same as the system where you run Priism. The "GPU Parallel Settings" section of EMCAT/Parallel.html describes the hardware and software requirements for the GPU-accelerated calculations in more detail.

Disk space

During installation, you will need space for the downloaded archive and the uncompressed files; the uncompressed files do not need to be on the same disk as the downloaded archive. Once the software is installed, the downloaded archive may be deleted. The space required is 102 megabytes during installation and 77 megabytes afterwards.

While the software is running, it makes extensive use of a shared memory file and related temporary files. The amount of space needed for these files depends on the size of the data sets loaded, but a minimal configuration should have 200 megabytes of space available for these files and having approximately 500 megabytes of space available would be better. Step 4 of the installation procedure describes how the default location for the shared memory and temporary files is set in the sample setup scripts.


Priism | Priism requirements for x86 Linux | Priism installation | Known problems | Recent changes | Priism download site


IVE Development Team (ive@msg.ucsf.edu)